# pandas.HDFStore.walk

HDFStore.walk(where='/')

  Walk the pytables group hierarchy for pandas objects.

  This generator will yield the group path, subgroups and pandas object names for each group.

  Any non-pandas PyTables objects that are not a group will be ignored.

  The where group itself is listed first (preorder), then each of its child groups (following an alphanumerical order) is also traversed, following the same procedure.

  Parameters
    where str, default “/”

      Group where to start walking.

  Yields
    path str

      Full path to a group (without trailing ‘/’).

    groups list

      Names (strings) of the groups contained in path.

    leaves list

      Names (strings) of the pandas objects contained in path.